/*
 * freee人事労務 API
 *
 * freee人事労務のAPI仕様です。  ## 認証について  OAuth2.0を利用します。詳細は[ドキュメントの認証](https://developer.freee.co.jp/docs)パートを参照してください。  ## エンドポイント  https://api.freee.co.jp/hr  ## 後方互換性ありの変更  freeeでは、APIを改善していくために以下のような変更は後方互換性ありとして通知なく変更を入れることがあります。アプリケーション実装者は以下を踏まえて開発を行ってください。  - 新しいAPIリソース・エンドポイントの追加 - 既存のAPIに対して必須ではない新しいリクエストパラメータの追加 - 既存のAPIレスポンスに対する新しいプロパティの追加 - 既存のAPIレスポンスに対するプロパティの順番の入れ変え - keyとなっているidやcodeの長さの変更（長くする）  ## エラーレスポンス  APIリクエストでエラーが発生した場合は、エラー原因に応じたステータスコードおよびメッセージを返します。  |ステータスコード|原因| |---|---| |400|リクエストパラメータが不正| |401|アクセストークンが無効| |403|アクセス権限がない| |404|リソースが存在しない| |429|リクエスト回数制限を越えた| |503|システム内で予期しないエラーが発生|  メッセージボディ内の `messages` にはエラー内容を説明する文字列が入ります。  ``` {     \"status_code\": 400,     \"errors\": [         {             \"type\": \"bad_request\",             \"messages\": [                 \"リクエストの形式が不正です。\"             ]         }     ] } ```  ## API使用制限  APIリクエストは1時間で5000回を上限としています。API使用ステータスはレスポンスヘッダに付与されます。  ``` X-Ratelimit-Limit:5000 X-Ratelimit-Remaining:4998 X-Ratelimit-Reset:2018-01-01T12:00:00.000000Z ```  各ヘッダの意味は次のとおりです。  |ヘッダ名|説明| |---|---| |X-Ratelimit-Limit|使用回数の上限| |X-Ratelimit-Remaining|残り使用回数| |X-Ratelimit-Reset|使用回数がリセットされる時刻|  上記に加え、freeeは一定期間に過度のアクセスを検知した場合、APIアクセスをコントロールする場合があります。 その際のhttp status codeは403となります。制限がかかってから10分程度が過ぎると再度使用することができるようになります。  
 *
 * The version of the OpenAPI document: v2022-02-01
 * 
 * Generated by: https://openapi-generator.tech
 */




#[derive(Clone, Debug, PartialEq, Default, Serialize, Deserialize)]
pub struct ApiV1EmployeeUpdateRequestSerializer {
    /// 従業員番号<br> 従業員を判別しやすいよう管理することができます。（例: 1人目の正社員を A-001 と入力）
    #[serde(rename = "num", skip_serializing_if = "Option::is_none")]
    pub num: Option<String>,
    /// 従業員名（freee人事労務上での表示にのみ使用される名前です。出力書類には姓名が使用されます。） - 給与計算対象外の従業員情報の場合は必須になります。
    #[serde(rename = "display_name", skip_serializing_if = "Option::is_none")]
    pub display_name: Option<String>,
    /// 基礎年金番号 数値文字列10桁固定長 例: 1111111111
    #[serde(rename = "base_pension_num", skip_serializing_if = "Option::is_none")]
    pub base_pension_num: Option<String>,
    /// 被保険者番号（雇用保険） 数値文字列11桁固定長 例: 11111111111 - 給与計算対象外の従業員情報の場合に指定するとエラーになります。
    #[serde(rename = "employment_insurance_reference_number", skip_serializing_if = "Option::is_none")]
    pub employment_insurance_reference_number: Option<String>,
    /// 生年月日 null不可
    #[serde(rename = "birth_date")]
    pub birth_date: String,
    /// 入社日 null不可
    #[serde(rename = "entry_date")]
    pub entry_date: String,
    /// 退職日 - 退職していない場合は指定不要です。 - 指定する場合はentry_date以降の日付を指定してください。 - retire_dateをクリアする場合、nullを指定してください。
    #[serde(rename = "retire_date", default, with = "::serde_with::rust::double_option", skip_serializing_if = "Option::is_none")]
    pub retire_date: Option<Option<String>>,
    /// <a href=\"https://support.freee.co.jp/hc/ja/articles/360000666303-締め日支払い日を変更する方法は-\" target=\"_blank\">締め日支払い日グループ名</a> で設定した締め日支払い日を指定してください。 - 未指定の際は、締め日支払い日は変わりません。 - 指定した従業員が給与計算対象外の場合、指定するとエラーになります。
    #[serde(rename = "company_reference_date_rule_name", skip_serializing_if = "Option::is_none")]
    pub company_reference_date_rule_name: Option<String>,
}

impl ApiV1EmployeeUpdateRequestSerializer {
    pub fn new(birth_date: String, entry_date: String) -> ApiV1EmployeeUpdateRequestSerializer {
        ApiV1EmployeeUpdateRequestSerializer {
            num: None,
            display_name: None,
            base_pension_num: None,
            employment_insurance_reference_number: None,
            birth_date,
            entry_date,
            retire_date: None,
            company_reference_date_rule_name: None,
        }
    }
}


